Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Mini-Howto] Install the Android SDK with Eclipse
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
wjholden
l33t
l33t


Joined: 01 Mar 2004
Posts: 826
Location: Augusta, GA

PostPosted: Sun Apr 08, 2012 12:31 pm    Post subject: [Mini-Howto] Install the Android SDK with Eclipse Reply with quote

I've had repeated bad experiences with installing the Android SDK with Eclipse (as Google recommends) on both x86 and amd64.
Here is what I have found to work:
  • Install Java, preferably dev-java/sun-jdk.
  • emerge dev-util/android-sdk-update-manager, add your user account to the android group, log out and back in (as the ebuild tells you to).
  • Do not install Eclipse using portage. Instead just download it from http://www.eclipse.org/downloads/.
  • (Optional) tar -xvzf eclipse-SDK-3.7.2-linux-gtk-x86_64.tar.gz ; mv eclipse /opt/eclipse ; chown root:android -Rv /opt/eclipse ; chmod 775 /opt/eclipse ; chmod g+w -Rv /opt/eclipse/
  • (Continued) Add /opt/eclipse to your $PATH somewhere. I threw it in with /etc/env.d/80android-sdk-update-manager.
  • I had a minor problem where my system-wide proxy settings weren't playing nice with Eclipse so I set it to pass through.
  • Now you can install ADT and use the 'android' command to install SDKs you need.
I know it's a short post, but if it reduces your frustration it was worth it. These instructions should become irrelevant as Gentoo continues to support Eclipse and makes newer version available through portage.
Back to top
View user's profile Send private message
BillyD
Guru
Guru


Joined: 05 May 2002
Posts: 309
Location: Brisbane, Australia

PostPosted: Tue Apr 10, 2012 12:20 pm    Post subject: Reply with quote

Just wanted to say thanks for the HOWTO - I used the "seden" overlay to get eclipse, but apart from that followed your guide with little drama. I did run into an issue when first installing the ADT tools, but added the appropriate (Indigo) eclipse software repository to get past the ADT errors.
_________________
We used to have hominid cousins that were vegetarian. The palæontological record suggests that our ancestors killed them and ate them.
Back to top
View user's profile Send private message
Pyrates
n00b
n00b


Joined: 29 Apr 2004
Posts: 69

PostPosted: Sat May 12, 2012 9:14 pm    Post subject: Reply with quote

Thanks so much, this should really be on top.
_________________
" ... and the Vogon will do things to you that you wish you'd never been born, or, if you're a clearer minded thinker, that the Vogon had never been born."
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 363

PostPosted: Sun Jul 22, 2012 7:30 pm    Post subject: Reply with quote

Is still still needed.
Can anyone cut my mileage a little shorter and tell me?
Can I just emerge eclipse-sdk instead?
P.S. I mean, eclipse-sdk is the weak part
I just saw:
http://packages.gentoo.org/package/dev-util/eclipse-sdk
It's very red...
Back to top
View user's profile Send private message
ghaith
n00b
n00b


Joined: 26 Jun 2012
Posts: 5

PostPosted: Sun Jul 22, 2012 7:52 pm    Post subject: Reply with quote

miroR wrote:
Is still still needed.
Can anyone cut my mileage a little shorter and tell me?
Can I just emerge eclipse-sdk instead?
P.S. I mean, eclipse-sdk is the weak part
I just saw:
http://packages.gentoo.org/package/dev-util/eclipse-sdk
It's very red...


Portage version is still masked and old, use the seden overlay and you'll be good to go (AFAIK)..
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 363

PostPosted: Sun Jul 22, 2012 8:30 pm    Post subject: Reply with quote

ghaith wrote:
miroR wrote:
Is still still needed.
Can anyone cut my mileage a little shorter and tell me?
Can I just emerge eclipse-sdk instead?
P.S. I mean, eclipse-sdk is the weak part
I just saw:
http://packages.gentoo.org/package/dev-util/eclipse-sdk
It's very red...


Portage version is still masked and old, use the seden overlay and you'll be good to go (AFAIK)..

Thanks for looking into this.
You might be right.
But also, I just found that people have that red portage one, which is just a few days old (see changelog, the link above), working.
Here.
http://forums.gentoo.org/viewtopic-t-890192-postdays-0-postorder-asc-highlight-eclipsesdk-start-25.html#7093286
P.S. I was wrong. What took me longer to figure out, is the man is talking about
Code:
dev-util/eclipse-sdk-3.7.1-r7::seden

I got my system all backed up. I only lose whole lotta time if I fail... Ouch...
I like things from portage so much more when they're there...
I'm going for it!
Thanks again! God bless!


Last edited by miroR on Sun Jul 22, 2012 8:57 pm; edited 2 times in total
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 363

PostPosted: Sun Jul 22, 2012 8:40 pm    Post subject: Reply with quote

As I said, ghaith, you might be right.
Because:
Code:
emerge -avtuDN dev-util/eclipse-sdk

gave me:
Code:
...
The following mask changes are necessary to proceed:
#required by dev-util/eclipse-sdk (argument)
# /usr/portage/profiles/package.mask:
# Ralph Sennhauser <sera@gentoo.org> (18 Jul 2012)
# Unmaintained, multiple vulnarabilities. #351626
# A more recent source build maintained by the community is available in the
# seden overlay. A more recent binary is available in the java-overlay.
=dev-util/eclipse-sdk-3.5.1-r1
...

It's hard thinking, now.
Anybody cut my mileage shorter somewhat, I can't figure out all this yet...
Yeah, upon reading the notice a few times, ghaith, you be apprentice, I go back to noob. lol ...
:oops:
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 363

PostPosted: Mon Jul 23, 2012 5:27 am    Post subject: Reply with quote

Seems that all is done:
Cast 2012-07-23 06h remote work on Galaxy II, HRVATSKI
http://youtu.be/Xa0Oz6qc784
Back to top
View user's profile Send private message
Reviver
n00b
n00b


Joined: 31 Jul 2012
Posts: 1

PostPosted: Tue Jul 31, 2012 9:07 am    Post subject: Re: [Mini-Howto] Install the Android SDK with Eclipse Reply with quote

wjholden wrote:
I've had repeated bad experiences with installing the Android SDK with Eclipse (as Google recommends) on both x86 and amd64.
Here is what I have found to work:
  • Install Java, preferably dev-java/sun-jdk.
  • emerge dev-util/android-sdk-update-manager, add your user account to the android group, log out and back in (as the ebuild tells you to).
  • Do not install Eclipse using portage. Instead just download it from http://www.eclipse.org/downloads/.
  • (Optional) tar -xvzf eclipse-SDK-3.7.2-linux-gtk-x86_64.tar.gz ; mv eclipse /opt/eclipse ; chown root:android -Rv /opt/eclipse ; chmod 775 /opt/eclipse ; chmod g+w -Rv /opt/eclipse/
  • (Continued) Add /opt/eclipse to your $PATH somewhere. I threw it in with /etc/env.d/80android-sdk-update-manager.
  • I had a minor problem where my system-wide proxy settings weren't playing nice with Eclipse so I set it to pass through.
  • Now you can install ADT and use the 'android' command to install SDKs you need.
I know it's a short post, but if it reduces your frustration it was worth it. These instructions should become irrelevant as Gentoo continues to support Eclipse and makes newer version available through portage.

I did follow these steps, but I received the error message:
Code:
aapt: cannot execute binary file

when I start a new Android Project in the Eclipse.
It seems that some libraries are required on amd64-basd system, but I don't know what they are.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2089

PostPosted: Wed Mar 19, 2014 8:58 am    Post subject: Reply with quote

Hi,
I've just installed latest Eclipse (Kepler).

The instruction given are good, except that the last command in the step 4 is incorrect.
It should be:

Code:

chmod g-w -Rv /opt/eclipse/


With the g+w Eclipse throws out an error about file locking.

Thank you.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum